For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Domains
      • GETGet Domain
      • GETGet Zone File
      • POSTCreate Domain
      • PATCHUpdate Domain
      • DELDelete Domain
      • POSTVerify Domain
LogoLogo
contact@agentmail.ccDiscord
API ReferenceDomains

Delete Domain

DELETE
/v0/domains/:domain_id
DELETE
/v0/domains/:domain_id
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.domains.delete(
8 domain_id="domain_id",
9)
**CLI:** ```bash agentmail domains delete --domain-id <domain_id> ```
Was this page helpful?
Previous

Verify Domain

Next
Built with

CLI:

$agentmail domains delete --domain-id <domain_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

domain_idstringRequired
The ID of the domain.

Errors

404
Not Found Error